// very simple, but important, party datum.  EVERY mob is overseen by a party - it is heavily relied upon by the /battle datum and the /turn_ datums associated with it.
// To add a mob to a party, just call party.add(mob).  To remove them, party.remove(mob).  Removing them will automatically give them a new party of their own,
// consisting of only them.

party
	var
		list
			members = list()

		max_members = 0
		mob/leader

		tmp/in_battle = FALSE

	New(mob/m, battle_capable = 1)
		if(!m) del src

		leader = m
		members[m] = battle_capable

	proc
		add(mob/m, battle_capable)
			if(!m) return
			if(m in members) return

			if(!battle_capable)
				battle_capable = m.battle_capable

			members[m] = battle_capable
			m.party = src

		remove(mob/m)
			if(!m) return
			if(!(m in members)) return

			members.Remove(m)
			m.party = new(m)