// /skill_set controls all of a mob's skills.  It keeps a list of them, how many you can have (if limit is 0, then unlimited), and who owns the skill_set

skill_set
	var
		list/skills = list()
		mob/owner
		limit = 0

	New(mob/m, list/s = list())
		if(!m) del src
		owner = m
		// s is an optional list of skills to add when skill_set is created
		if(s.len)
			for(var/v in s)
				add(v)

	proc
		// call this and send a /skill type path as an argument to add a new skill
		add(s)
			if(limit < 1 || skills.len < limit)
				var/skill/S = new s(owner)
				skills.Add(S)

		// send a /skill to this to remove it
		remove(skill/s)
			skills.Remove(s)
			del s

		// in case you want to use the skill_set to use a skill instead of the skill itself
		use(skill/s, mob/target)
			s.use(target)